/*
Theme Name: Pierre Gélas
Description: Thème enfant de Hello Elementor pour pierregelas.fr.
Author: Pierre Gélas
Template: hello-elementor
Version: 1.0.0
Text Domain: pierregelas-child
*/

/*
 * Les styles personnalisés du site pourront être ajoutés ici.
 */

 @property --scroll-x {
  syntax: "<length-percentage>";
  inherits: false;
  initial-value: 0px;
}

/* scroll-motion */
.g-6632e61 {
  translate: var(--scroll-x) 0;
  will-change: translate;
}

/* scroll-x-from-right */
.g-531d2f2 {
  animation-name: scroll-x-from-right;
  animation-duration: 1ms;
  animation-timing-function: linear;
  animation-fill-mode: both;
  animation-timeline: view(block);
  animation-range: entry 10% entry 45%;
}

/* scroll-clip-x */
.g-f75c649 {
  overflow-x: clip;
}

@keyframes scroll-x-from-right {
  from {
    --scroll-x: 100vw;
  }

  to {
    --scroll-x: 0px;
  }
}